Subject: Re: bug#30405: 26.0.91; Incorrect apostrophe translation in ImageMagick error message

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Feb 2018 20:16:14 +0200

> Date: Sun, 11 Feb 2018 20:04:19 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > Cc: [email-masked], [email-masked], [email-masked],
> >  [email-masked]
> > From: Paul Eggert <[email-masked]>
> > Date: Sun, 11 Feb 2018 09:26:41 -0800
> > 
> > > The question that bothers me is can a unibyte string inserted or
> > > printed into a multibyte buffer be converted to something that will
> > > display as a non-ASCII character, not as an octal escape.
> > 
> > Surely we can arrange for the latter.
> 
> I think we already do.  At least I couldn't find a way to display a
> raw byte as a non-ASCII Latin character in a unibyte buffer.  If no
> one can, we could probably remove that unibyte/multibyte magic in echo
> area.

Actually, I can:

  emacs -Q
  M-x set-variable RET unibyte-display-via-language-environment RET t RET
  M-: (set-buffer-multibyte nil) RET
  C-q 0242 SPC

This should display ¢.

So I think we can get rid of making echo-area buffers unibyte, as long
as we make sure that variable is nil (which it is by default).